clc;clear;close all
% hdlsetuptoolpath('ToolName','Xilinx Vivado','ToolPath','D:\SoftWare\Xilinx\Vivado\2019.2\bin\vivado.bat');

fs_L = 0.75e9;                    %硬件频率
fs_H = 12e9;                      %以高频近似理想信号
TargetFrequency = 3e9;
simulink_time = 20e-6;            %1.5*16e-6;1.5e-3
intp_mode = 3;                    %0不内插，1内插2倍，2内插4倍,3内插8倍
route_num = 1;                    %线路个数
env_num = 1;                      %包络个数
alpha_wideth=32;                  %滤波器系数定点化
beta_width=32;
G = 1;
dac_mode_sel = 0;                 %选择DAC模式，0出八路，1邻近插值，2邻近插值

z_dsp1 = z_dsp(fs_L,fs_H,TargetFrequency,G,simulink_time,intp_mode,dac_mode_sel);
z_dsp1.filename = 'output.txt';
z_dsp1.rpt_num  = 1; 
if(z_dsp1.rpt_num > 1)
    z_dsp1.name = [
                    "第一组S21参数_flattop_上升沿2ns_持续时间30ns_重复100次",...    
                    "第一组S21参数_flattop_上升沿4ns_持续时间30ns_重复100次",...
                    "第一组S21参数_flattop_上升沿4ns_持续时间50ns_重复100次",...
                    "第一组S21参数_acz_持续时间30ns_重复100次",...
                    "第一组S21参数_acz_持续时间50ns_重复100次";
                    "第二组S21参数_flattop_上升沿2ns_持续时间30ns_重复100次",...    
                    "第二组S21参数_flattop_上升沿4ns_持续时间30ns_重复100次",...
                    "第二组S21参数_flattop_上升沿4ns_持续时间50ns_重复100次",...
                    "第二组S21参数_acz_持续时间30ns_重复100次",...
                    "第二组S21参数_acz_持续时间50ns_重复100次";
                    "第三组S21参数_flattop_上升沿2ns_持续时间30ns_重复100次",...    
                    "第三组S21参数_flattop_上升沿4ns_持续时间30ns_重复100次",...
                    "第三组S21参数_flattop_上升沿4ns_持续时间50ns_重复100次",...
                    "第三组S21参数_acz_持续时间30ns_重复100次",...
                    "第三组S21参数_acz_持续时间50ns_重复100次";
                    "第四组S21参数_flattop_上升沿2ns_持续时间30ns_重复100次",...    
                    "第四组S21参数_flattop_上升沿4ns_持续时间30ns_重复100次",...
                    "第四组S21参数_flattop_上升沿4ns_持续时间50ns_重复100次",...
                    "第四组S21参数_acz_持续时间30ns_重复100次",...
                    "第四组S21参数_acz_持续时间50ns_重复100次";
                    "第五组S21参数_flattop_上升沿2ns_持续时间30ns_重复100次",...    
                    "第五组S21参数_flattop_上升沿4ns_持续时间30ns_重复100次",...
                    "第五组S21参数_flattop_上升沿4ns_持续时间50ns_重复100次",...
                    "第五组S21参数_acz_持续时间30ns_重复100次",...
                    "第五组S21参数_acz_持续时间50ns_重复100次";
                ];
    z_dsp1.FallingEdge = [30e-9 30e-9 50e-9 30e-9 50e-9];
    z_dsp1.itv_time = 30e-9; 
end
z_dsp1.env();                     %产生理想z信号
z_dsp1.route();                   %配置线路参数
% z_dsp1.route_num = 1;
% z_dsp1.env_num = 1;
z_dsp1.py_cal();                  %12G采样率，基于python脚本计算校正后的波形
z_dsp1.FIL();                     %调用FIL模块计算校正后的波形
z_dsp1.DataShow("save");          %计算结束后展示波形，有save时保存图片
%%
z_dsp1.FigDisplay();              %图片播放
%%
z_dsp1.RouteShow("save");         %可视化线路参数
%%
z_dsp1.ErrAny("save")             %对关心的指标进行可视化处理
%%
close all
z_dsp1.pause_time = 0.3;
z_dsp1.LoadFigAndDisplay()
